[AI71]离线报告获取
该接口作为AI类API的增值功能,支持用户集成报告链接到本地系统。目前支持输出报告链接的Agent有:【AI32】技术交底书、【AI35】查新检索、【AI37】专利说明书撰写(CNIPA)、和【AI66】防侵权检索。
目前该接口只支持IP类Agent,检索报告链接。该接口支持批量请求task_id,上限为5个;若使用start_time和end_time检索报告链接,将默认只返回前5个task ID;email和phone必须有一个不为空
请求参数
此 API 接口支持的参数列表
| 名称 | 类型 | 示例 | 描述 |
|---|---|---|---|
必填 | string | ai_novelty_search | Agent类型,用于过滤特定类型的Agent记录。支持的类型: ai_patent_disclosure - [AI32] 技术交底书 ai_specification - [AI37] 专利说明书撰写(CNIPA) ai_fto_search - [AI66] 防侵权检索 ai_novelty_search - [AI35] 查新检索 |
必填 | string | abc123 | 公司ID |
| string | user@example.com | 用户邮箱 |
| integer<int64> | 1761580799999 | 结束时间戳(毫秒) |
必填 | string | CN | 语言 CN / EN / TW / JP |
| integer<int32> | 1 | 页码,从1开始 |
| string | 12345678900 | 用户手机号 |
| integer<int64> | 1758902400000 | 开始时间戳(毫秒) |
| array | [
"task_id_1",
"task_id_2"
] | 任务ID列表,如果提供则直接使用这些任务ID获取导出链接,否则根据其他条件查询历史记录。最多支持5个任务ID |
响应结构
API 响应数据的结构说明
| 字段名 | 类型 | 示例 | 描述 |
|---|---|---|---|
data | object | - | 响应数据 |
items | array | [
{
"url": "https://qa-patsnap-import-workspace.cdn.zhihuiya.com/agent/reports/technical_solution_20251023.docx",
"task_id": "task01",
"file_name": "Technical_Solution_Exploration_20251023.docx"
},
{
"url": "https://qa-patsnap-import-workspace.cdn.zhihuiya.com/agent/reports/technical_solution_20251023.pdf",
"task_id": "task02",
"file_name": "Technical_Solution_Exploration_20251023.pdf"
}
] | 导出链接列表 |
url | string | https://qa-patsnap-import-workspace.cdn.zhihuiya.com/agent/reports/technical_solution_20251023.docx | 导出文件下载链接 |
task_id | string | da5eb754-ec87-4a8b-9525-7108b0a76fad | 任务ID |
file_name | string | Technical_Solution_Exploration_20251023.docx | 导出文件名 |
status必填 | boolean | false | 状态 |
error_msg | string | The request parameter format is incorrect! | 错误信息 |
error_code必填 | integer | 0 | 错误代码 |
成功响应示例
成功调用 API 的响应示例
JSON
{
"data": {
"items": [
{
"url": "https://qa-patsnap-import-workspace.cdn.zhihuiya.com/agent/reports/technical_solution_20251023.docx",
"task_id": "da5eb754-ec87-4a8b-9525-7108b0a76fad",
"file_name": "Technical_Solution_Exploration_20251023.docx"
}
]
},
"status": true,
"error_code": 0
}错误码
此接口可能返回的错误码列表
业务错误码
| 错误码 | 描述 |
|---|---|
68300004 | 请求参数异常! |
68300005 | 查询Api失败! |
68300006 | 解析基本存取错误! |
68300007 | 存在错误的请求! |
68300008 | 服务中断异常,请稍后再试! |
68300010 | 文件不符合上传规范! |
平台错误码
| 错误码 | 描述 |
|---|---|
67200000 | API整体限流错误! |
67200001 | API整体限流错误! |
67200002 | 当前调用速率过快,超过当前配置限制QPS! |
67200003 | 申请token的key和secret传参不正确或者客户端已被禁用! |
67200004 | 请求的接口无权限请联系我们的支持人员! |
67200005 | 账户余额/调用次数不足! |
67200006 | 客户端超过开通有效期! |
67200007 | 当前调用超过当天配置使用额度! |
67200008 | 请检查query参数中必填的apikey是否传输! |
67200009 | apikey与所传的bearerToken不匹配,请检查是否使用在有效期内的token! |
67200012 | 请求不合法! |
67200100 | 当前服务器状态正忙,请求响应超时! |
67200101 | 当前请求的Api不存在请检查请求Path! |
HTTP 状态码
| 状态码 | 描述 |
|---|---|
0 | 请求成功 |
201 | Created |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
性能指标
此接口的预期性能特征
正常响应时间
5000 ms
最大响应时间
10000 ms